tvbrowser.ui.pluginview

## Class PluginTreeModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeModel
  - - tvbrowser.ui.pluginview.PluginTreeModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.tree.TreeModel

      public class PluginTreeModel
      extends javax.swing.tree.DefaultTreeModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultTreeModel

      `asksAllowsChildren, listenerList, root`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomNode(PluginTreeNode n)`
    `void` | `addPluginTree(PluginProxy plugin)`
    `static PluginTreeModel` | `getInstance()`
    `static Plugin` | `getPlugin(javax.swing.tree.TreePath path)`
    `static PluginProxy` | `getPluginProxy(javax.swing.tree.TreePath path)`
    `boolean` | `isLeaf(java.lang.Object nodeObject)`
    `void` | `reload(javax.swing.tree.TreeNode node)`
    `void` | `removeAllChildNodes()` Removes all ChildNodes from this Tree
    `void` | `setDisableUpdate(boolean disabled)`
    `void` | `update()` Refresh all plugin nodes.

    - ### Methods inherited from class javax.swing.tree.DefaultTreeModel

      `addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### update

          public void update()

      Refresh all plugin nodes. This method should be called continuously to remove expired programs from the tree.

    - #### setDisableUpdate

          public void setDisableUpdate(boolean disabled)

    - #### addCustomNode

          public void addCustomNode(PluginTreeNode n)

    - #### addPluginTree

          public void addPluginTree(PluginProxy plugin)

    - #### removeAllChildNodes

          public void removeAllChildNodes()

      Removes all ChildNodes from this Tree

    - #### getPlugin

          public static Plugin getPlugin(javax.swing.tree.TreePath path)

    - #### getPluginProxy

          public static PluginProxy getPluginProxy(javax.swing.tree.TreePath path)

    - #### reload

          public void reload(javax.swing.tree.TreeNode node)

      Overrides:
        `reload` in class `javax.swing.tree.DefaultTreeModel`

    - #### getInstance

          public static PluginTreeModel getInstance()

    - #### isLeaf

          public boolean isLeaf(java.lang.Object nodeObject)

      Specified by:
        `isLeaf` in interface `javax.swing.tree.TreeModel`
      Overrides:
        `isLeaf` in class `javax.swing.tree.DefaultTreeModel`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)